/**
 * @file dcf77tx.h
 */

#ifndef	_DCF77TX_H
#define	_DCF77TX_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include <time.h>
#include <errno.h>
#include <sys/unistd.h>
#include <sys/fcntl.h>
#include <sys/time.h>

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/semphr.h"
#include "freertos/event_groups.h"
#include "freertos/queue.h"
#include "driver/gpio.h"
//#include "driver/rtc_io.h"
//#include "soc/rtc.h"
#include "esp_log.h"
#include "esp_system.h"
#include "esp_mac.h"
#include "esp_wifi.h"
#include "esp_wpa2.h"
#include "esp_netif_sntp.h"
#include "esp_sntp.h"
#include "esp_timer.h"
#include "nvs_flash.h"


#include "task_wifi.h"
#include "task_dcf.h"


typedef enum {
    ML_INIT = 0,		///< Init fase
    ML_CONNECT,			///< Connect WiFi
    ML_SYNC,			///< Wait for start of a minute
    ML_RUN			///< Run transmitter
} ML;


#endif
